version: "3.7"
services:
  app:
    build:
      args:
        user: my-mint
        uid: 1000
      context: ./
      dockerfile: Dockerfile
    image: cakes
    container_name: cakes-app
    restart: unless-stopped
    working_dir: /var/www/
    volumes:
      - ./:/var/www
    networks:
      - cakes

  db:
    image: mysql:8
    container_name: cakes-db
    restart: unless-stopped
    environment:
      MYSQL_DATABASE: ${DB_DATABASE}
      MYSQL_ROOT_PASSWORD: ${DB_PASSWORD}
      MYSQL_PASSWORD: ${DB_PASSWORD}
      MYSQL_USER: ${DB_USERNAME}
      SERVICE_TAGS: dev
      SERVICE_NAME: mysql
    volumes:
      - ./docker-compose/mysql:/docker-entrypoint-initdb.d
    networks:
      - cakes

  nginx:
    image: nginx:alpine
    container_name: cakes-nginx
    restart: unless-stopped
    ports:
      - 8000:80
    volumes:
      - ./:/var/www
      - ./docker-compose/nginx:/etc/nginx/conf.d/
    networks:
      - cakes

networks:
  cakes:
    driver: bridge
